Skip to content

Deals API ​

Manage deals and pipeline stages.

Endpoints ​

List Deals ​

http
GET /api/v1/deals

Query Parameters:

ParameterTypeDescription
stagestringPipeline stage
contactIdstringFilter by contact
minValuenumberMinimum deal value
maxValuenumberMaximum deal value
pagenumberPage number
limitnumberPer page

Get Deal ​

http
GET /api/v1/deals/:id

Create Deal ​

http
POST /api/v1/deals
json
{
  "name": "Enterprise Contract",
  "contactId": "contact-uuid",
  "value": 5000,
  "currency": "USD",
  "stage": "qualified",
  "expectedCloseDate": "2026-03-15",
  "pipelineId": "pipeline-uuid"
}

Update Deal ​

http
PATCH /api/v1/deals/:id

Move Deal Stage ​

http
PATCH /api/v1/deals/:id/stage
json
{
  "stage": "proposal"
}

Delete Deal ​

http
DELETE /api/v1/deals/:id

DOLU.ai - AI-Powered CRM Platform